import fs from "fs";
import JSONFile from "./json/test-data.json" assert { type: "json" };

// Function to generate Vue component files
function generateComponentFiles() {
  JSONFile.forEach(obj => {
    const componentContent = generateComponentContent(obj);
    const filePath = `components/${obj.type.toLowerCase().replace(/ /g, "-")}.vue`;

    fs.writeFileSync(filePath, componentContent);

    console.log(`Generated ${filePath}\n`);
  });
}

// Function to generate Vue component content
function generateComponentContent(obj) {
  return `
  <template>
    <div>
      <h2>${obj.heading}</h2>
      ${obj.link ? `<a href="${obj.link}">${obj.link}</a>` : ""}
      ${obj.list ? `<ul><li v-for="item in list">{{item}}</li></ul>` : ""}
    </div>
  </template>
  
  <script>
  export default {
    name: "Template",
    data() {
      return {
        list: [${obj.list}]
      }
    }
  };
  </script>
  `;
}

generateComponentFiles();